import preactLogo from '../../assets/preact.svg';
import viteLogo from '/vite.svg'
import { useEffect, useState } from "preact/hooks";
import { DefaultLayout } from '../../layouts/';
import { SeparatorWithAnchor } from '../../components';
import data from '../../datas/home.json';
import axios from 'axios';
import './style.css';

type NewPlaces = {
  id: Number,
  name: string,
  thumbnail: string,
  location: string,
  critic_rating: Number,
  critic_voters: Number,
  user_rating: Number,
  user_voters: Number
}

function Home() {
  const [count, setCount] = useState(0)

  const getUrl = async () => {
    const {data} = await axios("https://www.detik.com/sumut/wisata/d-6902796/melihat-koleksi-museum-juang-45-medan-yang-baru-diresmikan-gubsu");
    console.log(data);
  }

  useEffect(() => {
    getUrl();
  }, [])

  return (
    <DefaultLayout>
      <div className="content main-content mt-3">
        
        {/* RECENTLY ADDED SECTION */}
        <section about={"Recently added places"} className={'mt-3'}>
          <SeparatorWithAnchor pageLink='#' pageName='recently added' secondLink='#' />
          {data.new_places.map((x: NewPlaces) => (
            <div style={{ padding: '10px 1% 15px', display: 'inline-block', margin: ' 0 0 15px', verticalAlign: 'top', width: '16.6%' }}>
              {/* <p>{x.id}</p> */}
              <div style={{ width: 200, height: 200, overflow: 'hidden' }}>
                <img alt={x.name} src={x.thumbnail} style={{ width: '100%', height: '100%' }} />
              </div>
              <div style={{ textAlign: 'left', borderBottomWidth: 1 }}>
                <p>{x.name}</p>
                <p>{x.location}</p>
              </div>
              <div className={"flex flex-row"}>
                <div>
                  <p>{x.critic_rating}</p>
                  <div style={{ height: 4, width: 40, backgroundColor: "#72767d" }}>
                    <div style={{ height: 4, width: `${x.critic_rating}%`, backgroundColor: 'green' }} />
                  </div>
                </div>
                <p>Critic Score ({x.critic_voters})</p>
              </div>
              <div className={"flex flex-row"}>
                <div>
                  <p>{x.user_rating}</p>
                  <div style={{ height: 4, width: 40, backgroundColor: "#72767d" }}>
                    <div style={{ height: 4, width: `${x.user_rating}%`, backgroundColor: 'green' }} />
                  </div>
                </div>
                <p>User score ({x.user_voters})</p>
              </div>
            </div>
          ))}
        </section>
        {/* END RECENTLY ADDED SECTION */}

        {/* START RECENT NEWS / EVENT SECTION */}
        <section>
          <SeparatorWithAnchor pageLink='#' pageName='Recent News / Event' secondLink='#' />

        </section>
        {/* END RECENT NEWS / EVENT SECTION */}

        <div className="flex flex-row">
          <a href="https://vitejs.dev" target="_blank">
            <img src={viteLogo} class="logo" alt="Vite logo" />
          </a>
          <a href="https://preactjs.com" target="_blank">
            <img src={preactLogo} class="logo preact" alt="Preact logo" />
          </a>
        </div>
        <h1>Vite + Preact</h1>
        <div class="card">
          <button onClick={() => setCount((count) => count + 1)}>
            count is {count}
          </button>
          <p>
            Edit <code>src/app.tsx</code> and save to test HMR
          </p>
        </div>
        <p class="read-the-docs">
          Click on the Vite and Preact logos to learn more
        </p>
        <h1 className="text-3xl font-bold underline text-prime" >
          Hello world!
        </h1>
      </div>
    </DefaultLayout>

  )
}

export default Home;